summaryrefslogtreecommitdiff
path: root/check.sh
diff options
context:
space:
mode:
Diffstat (limited to 'check.sh')
-rwxr-xr-xcheck.sh14
1 files changed, 5 insertions, 9 deletions
diff --git a/check.sh b/check.sh
index 7239193..e667d31 100755
--- a/check.sh
+++ b/check.sh
@@ -2,18 +2,14 @@
mypy -p pypaste || exit $?
-for f in $(find pypaste -type f); do
- flake8 ${f} || exit $?
-done
+sources=($(find pypaste -type f))
+
+flake8 ${sources[@]} || exit $?
+
+black --check ${sources[@]} || exit $?
if [[ ! -d build ]]; then
meson setup build -Dserver=enabled -Dclient=enabled -Dtests=enabled || exit $?
fi
-destdir=$(mktemp -d)
-
meson test --verbose "$@" -C build || exit $?
-
-meson install --destdir=${destdir} -C build || exit $?
-
-rm -rf ${destdir}